Bug 1967662 - machine-api-operator should not use deprecated "platform" field in infrastructures.config.openshift.io
Summary: machine-api-operator should not use deprecated "platform" field in infrastruc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Michael McCune
QA Contact: Milind Yadav
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-03 14:43 UTC by Michael McCune
Modified: 2021-07-27 23:11 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:11:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 868 0 None open Bug 1967662: change provider config to look at PlatformStatus.Type 2021-06-03 14:45:06 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:38 UTC

Description Michael McCune 2021-06-03 14:43:38 UTC
Description of problem:

Currently the machine-api-operator looks at the `status.platform` field to determine the cloud provider. This field is being deprecated[0] and should be replaced with `status.platformStatus.type` instead.


[0] https://github.com/openshift/api/blob/master/config/v1/0000_10_config-operator_01_infrastructure.crd.yaml#L216

Comment 2 Milind Yadav 2021-06-07 11:58:13 UTC
Validated on clusterversion :
[miyadav@miyadav ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-06-03-160817   True        False         63m     Cluster version is 4.8.0-0.nightly-2021-06-03-160817
[miyadav@miyadav ~]$ 

Below is what I got for cluster infrastruture object yaml :oc get infrastructure cluster -o yaml | less 

.
.
.
spec:
  cloudConfig:
    name: ""
  platformSpec:
    aws: {}
    type: AWS
status:
  apiServerInternalURI: https://api-int.ci-ln-1rx2x2k-d5d6b.origin-ci-int-aws.dev.rhcloud.com:6443
  apiServerURL: https://api.ci-ln-1rx2x2k-d5d6b.origin-ci-int-aws.dev.rhcloud.com:6443
  controlPlaneTopology: HighlyAvailable
  etcdDiscoveryDomain: ""
  infrastructureName: ci-ln-1rx2x2k-d5d6b-st8gw
  infrastructureTopology: HighlyAvailable
  platform: AWS
  platformStatus:
    aws:
      region: us-west-1
    type: AWS
.
.

Additional info:
As per pull request we are checking for the correct values infra.platformstatus.type , Hence moving to VERIFIED .

Comment 5 errata-xmlrpc 2021-07-27 23:11:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.